/**
 * Status page script.
 *
 * @package flo-sync
 */

jQuery( document ).on(
	'ready',
	function () {
		/**
		 * Remove cron lock
		 */
		jQuery( '.nmf-cron-remove' ).on(
			'click',
			function ( event ) {
				event.preventDefault();

				const $this = jQuery( this );
				$this.hide();
				const lock_name = $this.data( 'lock-name' );
				jQuery.ajax(
					{
						url: ajaxurl,
						type: 'POST',
						data: {
							action: 'nmf_remove_cron_lock',
							lock_name: lock_name,
						},
						success: function ( response ) {
							if ( response.success ) {
								$this.closest( 'tr' ).remove();
							} else {
								console.log( response );
								$this.show();
								alert( 'Error message: ' + response.data );
							}
						},
						error: function ( response ) {
							console.log( response );
							alert( 'Error message: ' + response.responseJSON.data );
							$this.show();
						},
					}
				);
			}
		);

		/**
		 * Edit latest sync time
		 */
		jQuery( '.nmf-latest-sync' ).on(
			'click',
			function () {
				const $this = jQuery( this );

				if ( ! $this.hasClass( 'editing' ) ) {
					$this.addClass( 'editing' );
					const latest_sync        = $this.text();
					const latest_sync_option = $this.data( 'option' );
					let $input               = jQuery( '<input type="text" />' );
					$input.val( latest_sync );
					$input.data( 'option', latest_sync_option );
					$input.data( 'original', latest_sync );
					$this.html( $input );
					$input.focus();
				}
			}
		);

		jQuery( document ).on(
			'keyup',
			'.nmf-latest-sync input',
			function ( event ) {
				if ( 13 === event.keyCode ) {
					const $this              = jQuery( this );
					const latest_sync_option = $this.data( 'option' );
					const latest_sync        = $this.val();
					$this.prop( 'disabled', true );

					let success = false;

					jQuery.ajax(
						{
							url: ajaxurl,
							type: 'POST',
							data: {
								action: 'nmf_update_latest_sync',
								latest_sync: latest_sync,
								latest_sync_option: latest_sync_option,
							},
							success: function ( response ) {
								if ( response.success ) {
									$this.closest( '.nmf-latest-sync' ).removeClass( 'editing' );
									$this.closest( '.nmf-latest-sync' ).text( latest_sync );
									success = true;
								}
							},
							complete: function () {
								if ( ! success ) {
									alert( 'Error updating latest sync time.' );
									$this.prop( 'disabled', false );
								}
							}
						}
					);
				} else if ( 27 === event.keyCode ) {
					const $this = jQuery( this );
					$this.closest( '.nmf-latest-sync' ).removeClass( 'editing' );
					$this.closest( '.nmf-latest-sync' ).text( $this.data( 'original' ) );
				}
			}
		)
	}
);
