<?php
/**
 * Plugin Name: Northmill Sync
 * Plugin URI: https://www.northmill.com/se/flo/add-ons/sync/
 * Description: WooCommerce Northmill Sync.
 * Version: 3.2.25
 * Author: Northmill
 * Author URI: https://www.northmill.com/
 * License: GPLv2 or later
 * Text Domain: flo-sync
 * Domain Path: /languages/
 * Requires PHP: 8.2
 * WC tested up to:  8.5.2
 *
 * @package flo-sync
 */

use NMFS\Plugin_Setup;

defined( 'ABSPATH' ) || exit;

// Set plugin constants.
define( 'NMF_SETTINGS', 'northmill_flo_settings' ); // Also used in uninstall.php.
define( 'NMF_PLUGIN_DIR', plugin_dir_path( __FILE__ ) );
define( 'NMF_PLUGIN_URL', plugin_dir_url( __FILE__ ) );
define( 'NMF_PLUGIN_BASENAME', plugin_basename( __FILE__ ) );
define( 'NMF_PLUGIN_SLUG', 'flo_sync' );
define( 'NMF_PLUGIN_UPGRADE_TRANS', 'nmflo_upgrade_plugin' );
define( 'NMF_PLUGIN_UPGRADE_ERROR_TRANS', 'nmflo_upgrade_plugin_error' );
define( 'NMF_PLUGIN_VIEWS_DIR', NMF_PLUGIN_DIR . 'views/' );
define( 'NMF_RESPONSE', 'response' );
define( 'NMF_ORDER_TYPE', 'mf_order_type' );
define( 'NMF_ORDER_TYPE_NORMAL', 'normal' );
define( 'NMF_ORDER_SYNC_STATUS', 'mf_sync_status' );
define( 'NMF_HASH', 'mf_hash' );
define( 'NMF_ORDER_ID', 'mf_order_id' );
define( 'NMF_ORDER_BACKOFFICE_ACCOUNT_ID', 'nmf_backoffice_account_id' );
define( 'NMF_ARTICLE_ACCOUNT_CODE', 'mf_account_code' );
define( 'NMF_SYNC_ENV', 'mf_sync_env' );
define( 'NMF_CRON_SYNC_EVENT', 'nmf_cron_sync' );
define( 'NMF_CRON_SYNC_EVENT_INTERVAL', 'mf_sync_articles_interval' );
define( 'NMF_CRON_SYNC_CHECKER_EVENT', 'nmf_cron_sync_checker' );
define( 'NMF_SYNC_STATUS', 'mf_sync_status' );
define( 'NMF_SYNC', 'mf_sync' );
define( 'NMF_SYNC_SETTINGS', 'mf_sync_settings' );
define( 'NMF_SYNC_SETTINGS_STYLE', 'mf_sync_settings_style' );
define( 'NMF_SYNC_SETTINGS_SLUG', 'northmill_flo_sync_settings' );
define( 'NFM_IS_WEB_SHOP_ARTICLE', 'IsWebshopArticle' );
define( 'NMF_IS_ACTIVE_ARTICLE', 'IsActiveArticle' );
define( 'NMF_IS_STOCK_ITEM', 'IsStockItem' );
define( 'NMF_ARTICLE_TYPE', 'ArticleType' );
define( 'NMF_ARTICLE_NAME', 'ArticleName' );
define( 'NMF_ARTICLE_DISPLAY_ORDER', 'DisplayOrder' );
define( 'NMF_ARTICLE_ORDER_TICKET_TEXT', 'BongText' );
define( 'NMF_RETAIL_PRICE', 'RetailPrice' );
define( 'NMF_ARTICLE_NUMBER', 'ArticleNumber' );
define( 'NMF_ARTICLE_SYNC_STATUS', 'mf_sync_status' );
define( 'NMF_ACCOUNT_CODE_ID', 'AccountCodeId' );
define( 'NMF_RECOMMENDED_PRICE', 'RecommendedPrice' );
define( 'NMF_IS_ACTIVE', 'IsActive' );
define( 'NMF_IS_PRICE_ACTIVE', 'is_price_active' );
define( 'NMF_QUANTITY', 'Quantity' );
define( 'NMF_ACCUMULATIVE', 'Ackumulative' ); // Misspelled in API.
define( 'NMF_TYPE_GOODS', 'Goods' );
define( 'NMF_BARCODE', 'Barcode' );
define( 'NMF_UPDATE_ON_EXISTING', 'UpdateOnExisting' );
define( 'NMF_UNIT', 'Unit' );
define( 'NMF_ARTICLES_ENDPOINT', 'articles' );
define( 'NMF_VARIABLE', 'variable' );
define( 'NMF_ARTICLE_DRAFT', 'draft' );
define( 'NMF_ARTICLE_PUBLISH', 'publish' );
define( 'NMF_ARTICLE_STOCK_DATA', '_nmf_stock_data' );
define( 'NMF_IS_OPEN_ARTICLE', 'IsOpenArticle' );

require_once NMF_PLUGIN_DIR . 'vendor/autoload.php';

add_action( 'plugins_loaded', array( Plugin_Setup::class, 'setup' ) );

add_action(
	'before_woocommerce_init',
	function () {
		if ( class_exists( \Automattic\WooCommerce\Utilities\FeaturesUtil::class ) ) {
			\Automattic\WooCommerce\Utilities\FeaturesUtil::declare_compatibility( 'custom_order_tables', __FILE__, false );
		}
	}
);
