<?php
/**
 * Helper functions for WP DB.
 *
 * @package flo-sync
 */

namespace NMFS;

/**
 * Various helper functions for DB.
 */
class DB_Helpers {

	/**
	 * Insert data into database.
	 *
	 * @param string       $table  Table name.
	 * @param array        $data   Data to insert.
	 * @param array|string $format Format of data.
	 *
	 * @return int|void
	 */
	public static function insert_row( string $table, array $data, array|string $format ) {
		global $wpdb;
		$result = $wpdb->insert( $table, $data, $format );
		if ( $result ) {
			return $wpdb->insert_id;
		}
	}

	/**
	 * Get all rows from a table.
	 *
	 * @param string $table Table name without prefix. This is NOT sanitized.
	 *
	 * @return array
	 */
	public static function get_all_rows_from_table( string $table ): array {
		global $wpdb;
		$table  = $wpdb->prefix . $table;
		$result = $wpdb->get_results( "SELECT * FROM $table", ARRAY_A );

		return is_array( $result ) ? $result : array();
	}
}
