<?php
/**
 * Base model.
 *
 * @package flo-sync
 */

namespace NMFS\Models;

defined( 'ABSPATH' ) || exit;

/**
 * Base model.
 */
abstract class Base_Model {
	/**
	 * Constructs the base model.
	 *
	 * @param array $args Model properties.
	 */
	public function __construct( array $args = array() ) {
		if ( ! empty( $args ) ) {
			foreach ( $args as $key => $value ) {
				if ( method_exists( $this, 'set_' . $key ) ) {
					$this->{'set_' . $key}( $value );
				} else {
					$this->{$key} = $value;
				}
			}
		}
	}
}
