<?php
/**
 * Handles plugin activation and deactivation.
 *
 * @package flo-sync
 */

namespace NMFS;

use NMFS\Sync\Cron\Cron;

/**
 * Class for plugin activation.
 */
class Plugin_Activation {
	/**
	 * Constructor
	 */
	public static function setup(): void {
		register_activation_hook( 'northmill-flo-sync/flo-sync.php', array( self::class, 'activate' ) );
		register_deactivation_hook( 'northmill-flo-sync/flo-sync.php', array( self::class, 'deactivate' ) );
	}

	/**
	 * Run on plugin activation.
	 *
	 * @return void
	 */
	public static function activate() {
		Cron::get_cron_event( 'sync_checker' )->schedule();
	}

	/**
	 * Run on plugin deactivation.
	 *
	 * @return void
	 */
	public static function deactivate(): void {
		Cron::clear_all();
	}
}
