<?php
/**
 * Stock API.
 * For Hub accounts only used for stock management and orders.
 *
 * @package flo-sync
 */

namespace NMFS\Sync\API;

use NMFS\Logger;
use NMFS\Sync\API\Backoffice_Accounts\Models\Backoffice_Account_Model;

/**
 * Stock API.
 */
class Stock_API extends API {

	/**
	 * Construct stock API.
	 *
	 * @param Backoffice_Account_Model $account Account to connect to API.
	 */
	public function __construct( Backoffice_Account_Model $account ) {
		if ( ! $account->is_stock() ) {
			Logger::error( 'Account is not stock account' );
			return;
		}

		parent::__construct( $account );
	}
}
