<?php
/**
 * Stock data model.
 *
 * @package flo-sync
 */

namespace NMFS\Sync\Items\Articles\Stock\Models;

use NMFS\Models\Base_Model;
use NMFS\Sync\API\Backoffice_Accounts\Models\Backoffice_Account_Model;

defined( 'ABSPATH' ) || exit;

/**
 * Class Stock_Data_Model
 */
class Stock_Data_Model extends Base_Model {
	/**
	 * WP post-ID of Hub Account that this stock is for.
	 *
	 * @var int $backoffice_account
	 */
	public int $backoffice_account_id;

	/**
	 * Quantity of the article in stock.
	 *
	 * @var float $quantity
	 */
	public float $quantity;

	/**
	 * SKU of article stock data is for.
	 *
	 * @var string $article_sku
	 */
	public string $article_sku;

	/**
	 * Hub account that this stock is for.
	 * Not stored in DB.
	 *
	 * @var Backoffice_Account_Model $backoffice_account
	 */
	public Backoffice_Account_Model $backoffice_account;
}
