<?php

namespace NMFS\Sync\Items\Orders\Receipts\Models;

use JsonSerializable;
use NMFS\Models\Base_Model;

class Merchant_Model extends Base_Model implements JsonSerializable {
	/** @var string */
	protected string $CorporateIdentityNumber;
	/** @var string */
	protected string $Name;
	/** @var string */
	protected string $AddressLine1;
	/** @var string */
	protected string $AddressLine2;
	/** @var string */
	protected string $ZipCode;
	/** @var string */
	protected string $City;
	/** @var string */
	protected string $Country;
	/** @var string */
	protected ?string $Phone;
	/** @var string */
	protected string $HomePage;
	/** @var string */
	protected ?string $Email;

	public function jsonSerialize(): array {
		return array(
			'CorporateIdentityNumber' => $this->CorporateIdentityNumber,
			'Name'                    => $this->Name,
			'AddressLine1'            => $this->AddressLine1,
			'AddressLine2'            => $this->AddressLine2,
			'ZipCode'                 => $this->ZipCode,
			'City'                    => $this->City,
			'Country'                 => $this->Country,
			'Phone'                   => $this->Phone,
			'HomePage'                => $this->HomePage,
			'Email'                   => $this->Email,
		);
	}
}
