<?php
/**
 * Class for Payment Gateway With Backoffice Account and IAC Pay Type.
 * This class is used to link the payment gateway and the IAC Pay Type from Backoffice.
 *
 * @package flo-sync
 */

namespace NMFS\Sync\Items\Orders\Receipts\Models;

use NMFS\Models\Base_Model;
use NMFS\Sync\API\Backoffice_Accounts\Models\Backoffice_Account_Model;
use WC_Payment_Gateway;

/**
 * Class Payment_Gateway_Collection
 */
class Payment_Gateway_Collection extends Base_Model {

	/**
	 * WC Payment Gateway.
	 *
	 * @var WC_Payment_Gateway $payment_gateway
	 */
	public WC_Payment_Gateway $payment_gateway;

	/**
	 * Income Account Code Payment Type from Hub.
	 *
	 * @var string $iac_pay_type
	 */
	public string $iac_pay_type = 'ExternalPayment';

	/**
	 * Backoffice Account Model for this specific payment gateway and IAC Pay Type.
	 *
	 * @var Backoffice_Account_Model $backoffice_account
	 */
	public Backoffice_Account_Model $backoffice_account;
}
