<?php

namespace NMFS\Sync\Items\Orders\Receipts\Models;

use JsonSerializable;
use NMFS\Models\Base_Model;

class Voucher_Model extends Base_Model implements JsonSerializable {
	/** @var string */
	protected string $Id;
	/** @var bool */
	protected bool $UpdateOnExisting;
	/** @var int */
	protected int $SupportingNumber;
	/** @var string */
	protected string $VoucherNumber = '';
	/** @var string */
	protected string $VoucherSeries = '';
	/** @var bool */
	protected bool $IsDeleted = false;
	/** @var string */
	protected string $State = 'Pending';
	/** @var string */
	protected string $ErrorReason;
	/** @var bool */
	protected bool $IsBookkept;
	/** @var string */
	protected string $VoucherSyncReference = '';
	/** @var string */
	protected string $VoucherSyncTime;
	/** @var string */
	protected string $CashierSerialNumber = '';
	/** @var string */
	protected string $VoucherDate;
	/** @var string */
	protected string $VoucherText = '';
	/** @var string */
	protected string $Project = '';
	/** @var string */
	protected string $CostCenter = '';
	/** @var string */
	protected string $ReferenceNumber;
	/** @var string */
	protected string $ReferenceType;
	/** @var Voucher_Row_Model[] */
	protected array $Rows;
	/** @var string */
	protected string $CreatedTime;
	/** @var string */
	protected string $ModifiedTime;

	public function get_rows(): array {
		return $this->Rows;
	}

	public function get_voucher_text(): string {
		return $this->VoucherText;
	}

	public function jsonSerialize(): array {
		return array(
			'Id'                   => $this->Id ?? null,
			'UpdateOnExisting'     => $this->UpdateOnExisting ?? null,
			'SupportingNumber'     => $this->SupportingNumber ?? null,
			'VoucherNumber'        => $this->VoucherNumber ?? null,
			'VoucherSeries'        => $this->VoucherSeries ?? null,
			'IsDeleted'            => $this->IsDeleted ?? null,
			'State'                => $this->State,
			'ErrorReason'          => $this->ErrorReason ?? null,
			'IsBookkept'           => $this->IsBookkept ?? null,
			'VoucherSyncReference' => $this->VoucherSyncReference ?? null,
			'VoucherSyncTime'      => $this->VoucherSyncTime ?? null,
			'CashierSerialNumber'  => $this->CashierSerialNumber ?? null,
			'VoucherDate'          => $this->VoucherDate,
			'VoucherText'          => $this->VoucherText,
			'Project'              => $this->Project ?? null,
			'CostCenter'           => $this->CostCenter ?? null,
			'ReferenceNumber'      => $this->ReferenceNumber,
			'ReferenceType'        => $this->ReferenceType,
			'Rows'                 => $this->Rows,
			'CreatedTime'          => $this->CreatedTime ?? null,
			'ModifiedTime'         => $this->ModifiedTime ?? null,
		);
	}
}
