<?php

namespace NMFS\Sync\Items\Orders\Receipts\Models;

use JsonSerializable;
use NMFS\Models\Base_Model;

class Voucher_Row_Model extends Base_Model implements JsonSerializable {
	/** @var string */
	protected string $AccountDescription;
	/** @var int */
	protected int $AccountNumber;
	/** @var float */
	protected float $DebitAmount;
	/** @var float */
	protected float $CreditAmount;
	/** @var string */
	protected string $TransactionText;
	/** @var string */
	protected string $Project;
	/** @var string */
	protected string $CostCenter;
	/** @var bool */
	protected bool $IsDeleted;
	/** @var string */
	protected string $CreatedTime;
	/** @var string */
	protected string $ModifiedTime;

	public function get_debit_amount(): float {
		return $this->DebitAmount;
	}

	public function get_credit_amount(): float {
		return $this->CreditAmount;
	}

	public function jsonSerialize(): array {
		return array(
			'AccountDescription' => $this->AccountDescription ?? null,
			'AccountNumber'      => $this->AccountNumber,
			'DebitAmount'        => $this->DebitAmount,
			'CreditAmount'       => $this->CreditAmount,
			'TransactionText'    => $this->TransactionText ?? null,
			'Project'            => $this->Project ?? null,
			'CostCenter'         => $this->CostCenter ?? null,
			'IsDeleted'          => $this->IsDeleted ?? null,
			'CreatedTime'        => $this->CreatedTime ?? null,
			'ModifiedTime'       => $this->ModifiedTime ?? null,
		);
	}
}
