<?php
/**
 * Handles plugin internationalization
 *
 * @package flo-sync
 */

namespace NMFS;

defined( 'ABSPATH' ) || exit;

/**
 * Class for i18n.
 *
 * @phpcs:disable PEAR.NamingConventions.ValidClassName.StartWithCapital
 */
class i18n {

	/**
	 * Constructor
	 */
	public static function setup(): void {
		add_action( 'init', array( self::class, 'load_plugin_textdomain' ) );
	}

	/**
	 * Load the plugin text domain for translation.
	 *
	 * @since    1.0.0
	 */
	public static function load_plugin_textdomain(): void {
		load_plugin_textdomain(
			'flo-sync',
			false,
			NMF_PLUGIN_DIR . 'languages' // TODO: This path should be relative?
		);
	}
}
