<?php
/**
 * Renders stock fields for each Hub Account in product edit page.
 *
 * @package flo-sync
 */

use NMFS\Sync\Items\Articles\Stock\Models\Stock_Data_Model;

defined( 'ABSPATH' ) || exit;

/**
 * Object of product being edited.
 *
 * @var WC_Product $product_object
 */

/**
 * Stock data for each Hub Account.
 *
 * @var Stock_Data_Model[] $product_stock_data
 */
?>
<div class="options-group">
	<h3 style="padding-left: 10px;">
		<?php esc_html_e( 'Stock in Hub Accounts', 'flo-sync' ); ?>
	</h3>
	<?php
	$count = 1;
	foreach ( $product_stock_data as $stock_data ) {
		if ( ! isset( $stock_data->backoffice_account ) ) {
			continue;
		}
		woocommerce_wp_text_input(
			array(
				'id'                => '_nmf_bo_stock_' . ( $count++ ),
				'value'             => wc_stock_amount( $stock_data->quantity ),
				'label'             => $stock_data->backoffice_account->get_display_name(),
				'custom_attributes' => array( 'readonly' => 'readonly' ),
			)
		);
	}
	?>
</div>
