<?php
/**
 * Render settings select field.
 *
 * @package flo-sync
 */

/**
 * View arguments.
 *
 * @var array $args
 */
?>
<tr>
	<th scope="row">
		<label for="<?php echo esc_attr( $args['id'] ); ?>">
			<?php echo esc_html( $args['label'] ); ?>
		</label>
	</th>
	<td>
		<input
			type="text"
			name="<?php echo esc_attr( $args['id'] ); ?>"
			id="<?php echo esc_attr( $args['id'] ); ?>"
			value="<?php echo esc_attr( $args['current_value'] ); ?>"
			<?php echo ! empty( $args['is_disabled'] ) ? 'disabled' : ''; ?>
				/>
		<?php if ( ! empty( $args['description'] ) ) : ?>
			<p class="description">
				<?php echo esc_html( $args['description'] ); ?><br />
			</p>
		<?php endif; ?>
		<?php
		if ( ! empty( $args['extra_html'] ) ) {
			echo wp_kses_post( $args['extra_html'] );
		}
		?>
	</td>
</tr>
