<?php
/**
 * Render settings select field.
 *
 * @package flo-sync
 */

/**
 * View arguments.
 *
 * @var array $args
 */
?>
<tr>
	<th scope="row">
		<label for="<?php echo esc_attr( $args['id'] ); ?>">
			<?php echo esc_html( $args['label'] ); ?>
		</label>
	</th>
	<td>
		<select
			name="<?php echo esc_attr( $args['id'] ); ?>"
			id="<?php echo esc_attr( $args['id'] ); ?>"
			<?php echo ! empty( $args['is_disabled'] ) ? 'disabled' : ''; ?>
		>
			<?php foreach ( $args['options'] as $option_value => $option_title ) : ?>
				<option
					value="<?php echo esc_attr( $option_value ); ?>"
					<?php selected( $args['current_value'], $option_value ); ?>
				>
					<?php echo esc_html( $option_title ); ?>
				</option>
			<?php endforeach; ?>
		</select>
		<?php if ( ! empty( $args['description'] ) ) : ?>
			<p class="description">
				<?php echo esc_html( $args['description'] ); ?><br />
			</p>
		<?php endif; ?>
		<?php
		if ( ! empty( $args['extra_html'] ) ) {
			echo wp_kses_post( $args['extra_html'] );
		}
		?>
	</td>
</tr>
